## bambootracker 0.1.5

=== debian/changelog ===
bambootracker (0.1.5-1) unstable; urgency=high

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 11:33:02 +0100

bambootracker (0.1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Jan 2019 11:45:17 +0100

bambootracker (0.1.3-2) unstable; urgency=medium

  * debian/control:
    - improve description. (Closes: #917399)
    - add to Multimedia Team

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 28 Dec 2018 14:48:48 +0100

bambootracker (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #917169)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 15 Dec 2018 15:07:55 +0100
