=== debian/control ===
Source: bambootracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins
Standards-Version: 4.2.1
Homepage: https://github.com/rerrahkr/BambooTracker

Package: bambootracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5multimedia5-plugins
Description: YM2608 (OPNA, sound chip of Yamaha) music tracker
 This is a music tracker for the Yamaha sound chip YM2608 (OPNA) which was used
 in NEC PC-8801/9801 series computers.
