## bambootracker 0.1.6

=== debian/changelog ===
bambootracker (0.1.6-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 18 Mar 2019 09:23:59 +0100
