## bambootracker 0.2.3

=== debian/changelog ===
bambootracker (0.2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 01 Sep 2019 17:21:58 +0200

bambootracker (0.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 26 Jun 2019 13:12:48 +0200

bambootracker (0.2.1-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: added b-d libasound2-dev.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Jun 2019 09:55:04 +0200
