=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools
+Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
 Standards-Version: 4.2.1
 Homepage: https://github.com/rerrahkr/BambooTracker
