## bambootracker 0.3.4

=== debian/changelog ===
bambootracker (0.3.4-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add Suggests field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 30 Jan 2020 09:13:05 +0100

bambootracker (0.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 18 Dec 2019 06:27:17 +0100

bambootracker (0.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 07:17:55 +0100

bambootracker (0.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 02 Dec 2019 13:28:59 +0100

bambootracker (0.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 28 Oct 2019 08:27:02 +0100

bambootracker (0.2.4-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Added Vcs fields.
    - Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 18 Sep 2019 09:58:27 +0200
