=== debian/control ===
Source: bambootracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
Standards-Version: 4.4.1
Homepage: https://github.com/rerrahkr/BambooTracker
Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker

Package: bambootracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5multimedia5-plugins
Suggests: opencubicplayer, modplug-tools, protracker, schism, klystrack, hivelytracker, cheesecutter
Description: YM2608 (OPNA, sound chip of Yamaha) music tracker
 This is a music tracker for the Yamaha sound chip YM2608 (OPNA) which was used
 in NEC PC-8801/9801 series computers.
