## bambootracker 0.3.5

=== debian/changelog ===
bambootracker (0.3.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 06:07:10 +0100
