=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper-compat (= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
-Standards-Version: 4.4.1
-Homepage: https://github.com/rerrahkr/BambooTracker
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
+Homepage: https://github.com/rerrahkr/BambooTracker
 
 Package: bambootracker
 Architecture: any
