## bambootracker 0.4.2

=== debian/changelog ===
bambootracker (0.4.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 12 May 2020 13:09:54 +0200

bambootracker (0.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 23 Apr 2020 14:27:44 +0200

bambootracker (0.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 28 Mar 2020 12:59:10 +0100
