## bambootracker 0.4.6

=== debian/changelog ===
bambootracker (0.4.6-1build1) jammy; urgency=medium

  * No-change rebuild against librtmidi6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:30:21 +0000

bambootracker (0.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Thanks Adrian Bunk for the hint to fix FTBFS on 32bit.
    (Closes: #974580).
  * Bump standards version to 4.5.1.
  * d/manpages: added.
  * d/copyright: update paragraph paths.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 28 Feb 2021 00:02:47 +0100

bambootracker (0.4.5+git20121209-1) unstable; urgency=medium

  * New upstream version.
  * d/control: build-depends librtmidi-dev added. (Closes: #974580)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Dec 2020 07:48:47 +0100

bambootracker (0.4.5-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: drop LDFLAGS var as it is default now.
  * Bump debhelper version to 13.
  * d/copyright:
    - Drop wrong copyright Regents part.
    - Update CC-BY-SA 2.5 to CC-BY-SA 3.0. (gh#260)
    - Update copyright years.
    - Update wild card match for icons (moved).
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/manpages: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 09 Nov 2020 15:24:13 +0100
