=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: bambootracker
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev, librtmidi-dev
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
+Rules-Requires-Root: no
 Homepage: https://github.com/rerrahkr/BambooTracker
 
 Package: bambootracker
