=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT=qt5

%:
	dh $@ --sourcedirectory=BambooTracker
#	dh $@

override_dh_auto_configure:
	dh_auto_configure -- "CONFIG+=system_rtaudio" "CONFIG+=system_rtmidi"

override_dh_fixperms:
#	rm debian/bambootracker/usr/share/doc/BambooTracker/LICENSE.gz
#	rm debian/bambootracker/usr/share/BambooTracker/specs/archives/*.md
	mkdir -p debian/bambootracker/usr/share/man/man1/
	mv debian/bambootracker/usr/share/man/en/man1/BambooTracker.1.gz debian/bambootracker/usr/share/man/man1/
	dh_fixperms

override_dh_compress:
	dh_compress -X.btm
