## bambootracker 0.5.1

=== debian/changelog ===
bambootracker (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
    + Fix GCC12 build (Closes: #1012899)
  * d/rules: Declare the qmake buildsystem
  * Refresh lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jul 2022 17:40:40 +0200

bambootracker (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
    + Build with jack, pulsaudio and rtaudio support
  * Add emu2149 sources as missing-sources, a PSG emulator Build-Dependency
  * d/control:
    + Add me as uploader
    + Wrap-and-sort B-Ds and Depends
    + Update B-Ds: Add libjack-jackd2-dev | libjack-dev,
      mark libasound2-dev as linux-any, add libpulse-dev and librtaudio-dev
    + Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * d/docs: Don't install old/archived specs
  * Install the 256x256 icon from upstream
  * Add d/lintian-overrides
  * d/rules:
    + Use the root dir to build
    + Copy emu2149 files before dh_auto_configure
    + Delete the man/en dir after moving the man file
    + Avoid two /usr/share/doc folders
  * Avoid double installations of examples

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jun 2022 14:50:33 +0200
