=== debian/control ===
Source: bambootracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libjack-jackd2-dev | libjack-dev,
               libqt5multimedia5-plugins,
               libpulse-dev,
               librtaudio-dev,
               librtmidi-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
Rules-Requires-Root: no
Homepage: https://github.com/rerrahkr/BambooTracker

Package: bambootracker
Architecture: any
Depends: libqt5multimedia5-plugins, ${misc:Depends}, ${shlibs:Depends}
Suggests: cheesecutter,
          hivelytracker,
          klystrack,
          modplug-tools,
          opencubicplayer,
          protracker,
          schism
Description: YM2608 (OPNA, sound chip of Yamaha) music tracker
 This is a music tracker for the Yamaha sound chip YM2608 (OPNA) which was used
 in NEC PC-8801/9801 series computers.
