=== BambooTracker/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	audio/audio_stream.cpp
 	audio/audio_stream_rtaudio.cpp
 	bamboo_tracker.cpp
+	chip/blip_buf/blip_buf.c
 	chip/chip.cpp
 	chip/mame/fmopn.c
 	chip/mame/mame_2608.cpp
@@ -60,6 +61,10 @@
 	chip/nuked/ym3438.c
 	chip/opna.cpp
 	chip/register_write_logger.cpp
+	chip/ymfm/ymfm_2608.cpp
+	chip/ymfm/ymfm_adpcm.cpp
+	chip/ymfm/ymfm_opn.cpp
+	chip/ymfm/ymfm_ssg.cpp
 	chip/resampler.cpp
 	command/command_manager.cpp
 	command/instrument/add_instrument_command.cpp
@@ -98,6 +103,7 @@
 	command/pattern/set_effect_id_to_step_command.cpp
 	command/pattern/set_effect_value_to_step_command.cpp
 	command/pattern/set_instrument_to_step_command.cpp
+	command/pattern/set_key_cut_to_step_command.cpp
 	command/pattern/set_key_off_to_step_command.cpp
 	command/pattern/set_key_on_to_step_command.cpp
 	command/pattern/set_volume_to_step_command.cpp
@@ -125,11 +131,13 @@
 	gui/event_guard.cpp
 	gui/file_history.cpp
 	gui/file_io_error_message_box.cpp
+	gui/font_info_widget.cpp
 	gui/fm_envelope_set_edit_dialog.cpp
 	gui/go_to_dialog.cpp
 	gui/groove_settings_dialog.cpp
 	gui/gui_utils.cpp
 	gui/hide_tracks_dialog.cpp
+	gui/instrument_editor/adpcm_address_spin_box.cpp
 	gui/instrument_editor/adpcm_drumkit_editor.cpp
 	gui/instrument_editor/adpcm_instrument_editor.cpp
 	gui/instrument_editor/adpcm_sample_editor.cpp
@@ -190,6 +198,7 @@
 	io/module_io.cpp
 	io/opni_io.cpp
 	io/p86_io.cpp
+	io/pmb_io.cpp
 	io/ppc_io.cpp
 	io/pps_io.cpp
 	io/pvi_io.cpp
@@ -226,6 +235,7 @@
 	gui/comment_edit_dialog.ui
 	gui/configuration_dialog.ui
 	gui/effect_list_dialog.ui
+	gui/font_info_widget.ui
 	gui/fm_envelope_set_edit_dialog.ui
 	gui/go_to_dialog.ui
 	gui/groove_settings_dialog.ui
