=== debian/changelog ===
bambootracker (0.6.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:06 +1100

bambootracker (0.6.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:56:58 +0000

bambootracker (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Dennis Braun <snd@debian.org>  Tue, 07 Feb 2023 18:17:12 +0100

bambootracker (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Update my email address
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sat, 28 Jan 2023 23:19:52 +0100

bambootracker (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 23 Sep 2022 15:13:49 +0200

bambootracker (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 26 Aug 2022 14:53:42 +0200
