=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: bambootracker
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
-               libjack-jackd2-dev | libjack-dev,
+               libjack-dev | libjack-jackd2-dev,
                libqt5multimedia5-plugins,
                libpulse-dev,
                librtaudio-dev,
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
 Rules-Requires-Root: no
