=== debian/changelog ===
bambootracker (0.6.3-1) experimental; urgency=medium

  * New upstream version 0.6.3
    + Build with RtAudio 6 (Closes: #1051573)
  * Remove obsolete patch
  * Clean modified files after successful build (Closes: #1044108)

 -- Dennis Braun <snd@debian.org>  Fri, 22 Sep 2023 09:44:04 +0200

bambootracker (0.6.2-1) experimental; urgency=medium

  * New upstream version.
  * d/control: update maintainer address.
  * d/copyright: bump year.

 -- Gürkan Myczko <tar@debian.org>  Mon, 07 Aug 2023 08:18:10 +0200
