=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: bambootracker
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Gürkan Myczko <tar@debian.org>,
  Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libjack-dev | libjack-jackd2-dev,
                libqt5multimedia5-plugins,
                libpulse-dev,
-               librtaudio-dev,
+               librtaudio-dev (>= 6.0.1~ds),
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
