## bambootracker 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.10)
-project (BambooTracker VERSION 0.6.3 LANGUAGES C CXX)
+project (BambooTracker VERSION 0.6.4 LANGUAGES C CXX)
 
 option (INSTALL_FLAT
 	"Install everything under CMAKE_INSTALL_PREFIX instead of using Unix-style directory layout (GNUInstallDirs)" ${WIN32}
