=== debian/changelog ===
bambootracker (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Drop patches applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:07:27 +0200

bambootracker (0.6.3-3) unstable; urgency=medium

  * Make Werror optional for QMake (Closes: #1074837)
  * Change strncpy to memcpy

 -- Dennis Braun <snd@debian.org>  Wed, 07 Aug 2024 22:21:25 +0200

bambootracker (0.6.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sat, 22 Jun 2024 15:08:49 +0000
