=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>,
+Uploaders: Alex Myczko <tar@debian.org>,
  Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
@@ -13,7 +13,7 @@
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
 Rules-Requires-Root: no
