=== data/CMakeLists.txt ===
option (INSTALL_MINIMAL "Only install essential files (binary & licenses)" OFF)

if (NOT INSTALL_MINIMAL)
	install (DIRECTORY demos skins DESTINATION "${BT_DATADIR}")
	install (DIRECTORY specs DESTINATION "${CMAKE_INSTALL_DOCDIR}")
	if (UNIX)
		install (DIRECTORY man/ DESTINATION "${CMAKE_INSTALL_MANDIR}" PATTERN "man/*")
		if (NOT APPLE)
			install (DIRECTORY applications mime DESTINATION "${CMAKE_INSTALL_DATADIR}")
			install (DIRECTORY icons/ DESTINATION "${BT_ICONDIR}" PATTERN "icons/*")
		endif (NOT APPLE)
	endif (UNIX)
endif (NOT INSTALL_MINIMAL)
