=== submodules/emu2149/CMakeLists.txt ===
project(emu2149 LANGUAGES C)

add_subdirectory(src EXCLUDE_FROM_ALL)

set (EMU2149_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" PARENT_SCOPE)
set (EMU2149_LIBRARIES emu2149 PARENT_SCOPE)
set (EMU2149_LDFLAGS emu2149 PARENT_SCOPE)
