=== debian/changelog ===
bambootracker (0.6.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1114059)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 21:23:24 +0300

bambootracker (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
    + Fix build with GCC-15 (Closes: #1096358)
  * Fix redundant-move warning
  * Bump Standards-Version to 4.7.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Tue, 18 Mar 2025 17:20:32 +0100
