=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
 Rules-Requires-Root: no
