=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,19 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --sourcedirectory=BambooTracker
-#	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
+	if [ ! -d submodules/emu2149/src ]; then mkdir submodules/emu2149/src; fi
+	cp debian/missing-sources/emu2149/* submodules/emu2149/src/
 	dh_auto_configure -- "CONFIG+=system_rtaudio" "CONFIG+=system_rtmidi"
 
 override_dh_fixperms:
-#	rm debian/bambootracker/usr/share/doc/BambooTracker/LICENSE.gz
-#	rm debian/bambootracker/usr/share/BambooTracker/specs/archives/*.md
 	mkdir -p debian/bambootracker/usr/share/man/man1/
 	mv debian/bambootracker/usr/share/man/en/man1/BambooTracker.1.gz debian/bambootracker/usr/share/man/man1/
+	rm -fr debian/bambootracker/usr/share/man/en \
+		debian/bambootracker/usr/share/doc/BambooTracker \
+		debian/bambootracker/usr/share/BambooTracker/specs
 	dh_fixperms
 
 override_dh_compress:
